use yew::{function_component, prelude::*};

use crate::components::PostLinks;

#[derive(Clone, Debug, Eq, PartialEq, Properties)]
pub struct LatestProps {
    #[prop_or(5)]
    pub count: u32,
}

#[function_component]
pub fn LatestPosts(props: &LatestProps) -> Html {
    let mut post_list = crate::post_list::POSTS.iter().collect::<Vec<_>>();
    post_list.sort_by_key(|post| post.timestamp);
    let posts = post_list
        .into_iter()
        .take(props.count as _)
        .collect::<Box<_>>();

    html! {
        <div class="latest-posts">
            <h3>{"latest posts"}</h3>
            <PostLinks posts={posts} />
        </div>
    }
}
