use yew::prelude::*;

use crate::post_list::Post;

#[derive(Debug, Clone, PartialEq, Properties)]
pub struct PostLinksProps {
    pub posts: Box<[&'static Post]>,
}

#[function_component]
pub fn PostLinks(props: &PostLinksProps) -> Html {
    let posts = props.posts.iter().map(|post| {
        let route_id = post.route_id();

        html! {
            <div class="link-container">
                <a href={format!("/posts/{route_id}")}>{post.title}</a>
            </div>
        }
    });

    html! {
        <div class="link-list posts-list">
            { for posts }
        </div>
    }
}
