mod app;
mod nav;
mod post_list;
mod components {
    blog_macros::include_path!("blog/src/components");
}
mod pages {
    blog_macros::include_path!("blog/src/pages");
}

pub use app::App;

use yew_router::Routable;

#[derive(Routable, PartialEq, Eq, Clone, Debug)]
pub enum Route {
    #[at("/posts/:id")]
    PostPage { id: String },
    #[at("/posts")]
    PostIndex,
    #[at("/")]
    Home,
    #[not_found]
    #[at("/404")]
    NotFound,
}

impl Route {
    pub fn default_title(&self) -> Option<&'static str> {
        match self {
            Route::PostIndex => Some("Jigglypuff.club - Posts"),
            Route::Home => Some("Jigglypuff.club"),
            Route::NotFound => Some("Jigglypuff.club - Not Found"),
            _ => None,
        }
    }
}

fn main() {
    wasm_logger::init(wasm_logger::Config::new(log::Level::Trace));
    yew::Renderer::<App>::new().render();
}
