use yew::prelude::*;

use crate::pages::PageNotFound;

#[derive(Clone, Debug, Eq, PartialEq, Properties)]
pub struct Props {
    pub id: String,
}

#[function_component]
pub fn PostPage(props: &Props) -> Html {
    let post = match crate::post_list::POSTS
        .iter()
        .find(|post| post.route_id() == props.id)
    {
        Some(post) => post,
        None => return html! {<PageNotFound />},
    };

    gloo::utils::document().set_title(post.title);

    html! {
        <div class="post-container">
        <div class="post-body">
            <h1 class="title">{ post.title }</h1>
                {(post.content)()}
            </div>
        </div>
    }
}
